VSphereCluster [infrastructure.cluster.x-k8s.io/v1beta1]
- Description
- VSphereCluster is the Schema for the vsphereclusters API.
- Type
object
Specification
.spec
- Description
- VSphereClusterSpec defines the desired state of VSphereCluster.
- Type
object
.spec.clusterModules
- Description
- ClusterModules hosts information regarding the anti-affinity vSphere constructs for each of the objects responsible for creation of VM objects belonging to the cluster.
- Type
array
.spec.clusterModules[]
- Description
- ClusterModule holds the anti affinity construct `ClusterModule` identifier in use by the VMs owned by the object referred by the TargetObjectName field.
- Type
object- Required
controlPlanemoduleUUIDtargetObjectName
.spec.controlPlaneEndpoint
- Description
- ControlPlaneEndpoint represents the endpoint used to communicate with the control plane.
- Type
object- Required
hostport
.spec.controlPlaneLoadBalancer
- Description
- ControlPlaneLoadBalancer describes the control plane endpoint's load balancer. Leaving it nil is allowed and means the same as type=external: the endpoint is provided by the user and the provider manages no VIP. The field is set when the cluster is created or never: it cannot be added to an existing cluster, and once set every field is immutable and the field cannot be cleared. The endpoint, the apiserver serving certificate and the guest runtime are all derived from it and cannot be changed in place.
- Type
object- Required
hostport
.spec.failureDomainSelector
- Description
- FailureDomainSelector is the label selector to use for failure domain selection for the control plane nodes of the cluster. If not set (`nil`), selecting failure domains will be disabled. An empty value (`{}`) selects all existing failure domains. A valid selector will select all failure domains which match the selector.
- Type
object
.spec.failureDomainSelector.matchExpressions
- Description
- matchExpressions is a list of label selector requirements. The requirements are ANDed.
- Type
array
.spec.failureDomainSelector.matchExpressions[]
- Description
- A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
- Type
object- Required
keyoperator
.spec.failureDomainSelector.matchExpressions[].values
- Description
- values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
- Type
array
.spec.failureDomainSelector.matchExpressions[].values[]
- Type
string
.spec.failureDomainSelector.matchLabels
- Description
- matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
- Type
object
.spec.identityRef
- Description
- IdentityRef is a reference to either a Secret or VSphereClusterIdentity that contains the identity to use when reconciling the cluster.
- Type
object- Required
kindname
.status
- Description
- VSphereClusterStatus defines the observed state of VSphereClusterSpec.
- Type
object
.status.conditions
- Description
- Conditions defines current service state of the VSphereCluster.
- Type
array
.status.conditions[]
- Description
- Condition defines an observation of a Cluster API resource operational state.
- Type
object- Required
lastTransitionTimestatustype
.status.failureDomains
- Description
- FailureDomains is a list of failure domain objects synced from the infrastructure provider.
- Type
object
.status.v1beta2
- Description
- v1beta2 groups all the fields that will be added or modified in VSphereCluster's status with the V1Beta2 version.
- Type
object
.status.v1beta2.conditions
- Description
- conditions represents the observations of a VSphereCluster's current state. Known condition types are Ready, FailureDomainsReady, VCenterAvailable, ClusterModulesReady, KubeOvnAppReleaseReady, SelfBuiltLoadBalancerReady and Paused.
- Type
array
.status.v1beta2.conditions[]
- Description
- Condition contains details for one aspect of the current state of this API Resource.
- Type
object- Required
lastTransitionTimemessagereasonstatustype
API Endpoints
The following API endpoints are available:
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclustersDELETE: delete collection of VSphereClusterGET: list objects of kind VSphereClusterPOST: create a new VSphereCluster
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclusters/{name}DELETE: delete the specified VSphereClusterGET: read the specified VSphereClusterPATCH: partially update the specified VSphereClusterPUT: replace the specified VSphereCluster
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclusters/{name}/statusGET: read status of the specified VSphereClusterPATCH: partially update status of the specified VSphereClusterPUT: replace status of the specified VSphereCluster
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclusters
- HTTP method
DELETE- Description
- delete collection of VSphereCluster
- HTTP responses
- HTTP method
GET- Description
- list objects of kind VSphereCluster
- HTTP responses
- HTTP method
POST- Description
- create a new VSphereCluster
- Query parameters
- Body parameters
- HTTP responses
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclusters/{name}
- HTTP method
DELETE- Description
- delete the specified VSphereCluster
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified VSphereCluster
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified VSphereCluster
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified VSphereCluster
- Query parameters
- Body parameters
- HTTP responses
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclusters/{name}/status
- HTTP method
GET- Description
- read status of the specified VSphereCluster
- HTTP responses
- HTTP method
PATCH- Description
- partially update status of the specified VSphereCluster
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace status of the specified VSphereCluster
- Query parameters
- Body parameters
- HTTP responses